doc: Change the manual source to be only for GnuPG 2.1